
Infrastructure - Task #7527

Story # 7526 (Closed): Add integration tests for ORCID and auth token support

Ensure auth tokens can be generated in integration test projects

2015-12-08 19:35 - Ben Leinfelder

Status: Closed Start date: 2015-12-08

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_portal_servlet Estimated time: 0.00 hour

Target version: CCI-2.0.2   

Milestone: None Story Points:  

Product Version: *   

Description

In the d1_portal project, the following call will give you a signed JWT auth token:

TokenGenerator.getInstance().getJWT(String subject, String fullName);

These configuration values will be used to locate the private key to sign the token and the corresponding public key to verify the

token:

cn.server.privatekey.filename

cn.server.publiccert.filename

For testing, the *.test.dataone.org certificate/key pair should be used since that public key is how services (e.g. MNs) will be able to

verify the signature of the token. The CNs in any test environment will already be configured to use their own public key to verify

authentication tokens.

History

#1 - 2015-12-08 21:45 - Ben Leinfelder

- Status changed from In Progress to Testing

- Assignee changed from Ben Leinfelder to Rob Nahf

- % Done changed from 30 to 50

Please let me know if you have trouble with these configuration values in d1_integration.

#2 - 2015-12-14 19:37 - Ben Leinfelder

- Status changed from Testing to Closed

- % Done changed from 50 to 100

- translation missing: en.field_remaining_hours set to 0.0

After resolving some file permissions errors and updating the d1_integration pom to include the latest d1_portal library, I believe tokens are being

successfully generated in the testing env.
